#ifndef STRATEGY_H
#define STRATEGY_H

// Wheel diameter == 8 in
// Wheel circum. == 25 in
// 28 teeth on wheels
// So, 0.893 inches / tooth

// Wheel-to-wheel distance is 26 in
// So, robot turns on circle whose circum == 82 in

// 1/4 the length of the field == 216 inches
#define DISTANCE_LEN_QUARTER 181

// 1/3 the length of the field == 216 inches
#define DISTANCE_LEN_THIRD 242

// 1/3 the length of the field == 324 inches
#define DISTANCE_LEN_HALF 362

// 1/4 the width of the field == 79 inches
#define DISTANCE_CROSS_QUARTER 88

// 1/3 the width of the field == 105 inches
#define DISTANCE_CROSS_THIRD 118

// 2/3 the width of the field == 210 inches
#define DISTANCE_CROSS_2THIRD 235

// Cross the entire width of field == 316 inches
#define DISTANCE_CROSS_WHOLE 282


// The distance across 1 starting position
//     == 60 inches
#define DISTANCE_CROSS_1SPOS 67

// The distance across the 3 starting positions 
//     == 180 inches
#define DISTANCE_CROSS_SPOS 202

// The number of ticks required to turn 90 degrees
#define DISTANCE_TURN_90 37




void Reset_Autonomous(void);
void Drive_And_Shoot(int distance, int magnitude, int useCam);
void Straight_Defense(int magnitude, int goforever);
void Out_And_Turn(int d_out, int d_cross, int willshoot);
void Sideways_Defense(int d_out, int d_end);
void Cross_Defense(void);
void Corner_Dump(void);


#endif
